%
% Exercise 05
% Boost Converter with PCM Control
% 
% Power Electronics
% Department of Power Electronics and Electrical Drives
%
% University of Paderborn
%
% 16.05.2015




%% Ausgangsspannung v_out
figure

plot(v_out_data.time, v_out_data.signals.values(:,2), 'g-');

hold on;

plot(v_out_data.time, v_out_data.signals.values(:,1), 'b--');



grid on;

set(gca,'FontSize',13);

xlabel('t in s');
ylabel('v_o_u_t in V');

legend('Output Voltage', 'Reference Voltage');

%axis([0 0.03 0 1.2*max(v_out_data.signals.values(:,2))])
% axis([0 0.02 380 420])



%% Inductor Current
figure

plot(i_L_data.time, i_L_data.signals.values(:,2), 'r-');

hold on;

plot(i_L_data.time, i_L_data.signals.values(:,1), 'k:');




grid on;

set(gca,'FontSize',13);

xlabel('t in s');
ylabel('i_L in A');

legend('Inductor Current', 'Reference Current');

axis([0 0.02 0 1.2*max(i_L_data.signals.values(:,1))])

%print -dmeta -r600 i_L_plot01.emf;







